export interface IUserProfileProperties {
    AboutMe: string;
    SPS_LastKeywordAdded: string;
    AccountName: string;
    SPS_Locale: string;
    ADGuid: string;
    SPS_Location: string;
    Assistant: string;
    SPS_MasterAccountName: string;
    CellPhone: string;
    SPS_MemberOf: string;
    Department: string;
    SPS_MUILanguages: string;
    EduExternalSyncState: string;
    SPS_MySiteUpgrade: string;
    EduOAuthTokenProviders: string;
    SPS_O15FirstRunExperience: string;
    EduPersonalSiteState: string;
    SPS_ObjectExists: string;
    EduUserRole: string;
    SPS_OWAUrl: string;
    Fax: string;
    SPS_PastProjects: string;
    FirstName: string;
    SPS_Peers: string;
    HomePhone: string;
    SPS_PersonalSiteCapabilities: string;
    LastName: string;
    SPS_PersonalSiteInstantiationState: string;
    Manager: string;
    SPS_PhoneticDisplayName: string;
    Office: string;
    SPS_PhoneticFirstName: string;
    PersonalSpace: string;
    SPS_PhoneticLastName: string;
    PictureURL: string;
    SPS_PrivacyActivity: string;
    PreferredName: string;
    SPS_PrivacyPeople: string;
    PublicSiteRedirect: string;
    SPS_ProxyAddresses: string;
    QuickLinks: string;
    SPS_RegionalSettings_FollowWeb: string;
    SID: string;
    SPS_RegionalSettings_Initialized: string;
    SISUserId: string;
    SPS_ResourceAccountName: string;
    SPS_AdjustHijriDays: string;
    SPS_ResourceSID: string;
    SPS_AltCalendarType: string;
    SPS_Responsibility: string;
    SPS_Birthday: string;
    SPS_SavedAccountName: string;
    SPS_CalendarType: string;
    SPS_SavedSID: string;
    SPS_ClaimID: string;
    SPS_School: string;
    SPS_ClaimProviderID: string;
    SPS_ShowWeeks: string;
    SPS_ClaimProviderType: string;
    SPS_SipAddress: string;
    SPS_ContentLanguages: string;
    SPS_Skills: string;
    SPS_DataSource: string;
    SPS_SourceObjectDN: string;
    SPS_Department: string;
    SPS_StatusNotes: string;
    SPS_DisplayOrder: string;
    SPS_Time24: string;
    SPS_DistinguishedName: string;
    SPS_TimeZone: string;
    SPS_DontSuggestList: string;
    SPS_UserPrincipalName: string;
    SPS_Dotted_line: string;
    SPS_WorkDayEndHour: string;
    SPS_EmailOptin: string;
    SPS_WorkDayStartHour: string;
    SPS_FeedIdentifier: string;
    SPS_WorkDays: string;
    SPS_FirstDayOfWeek: string;
    Title: string;
    SPS_FirstWeekOfYear: string;
    UserName: string;
    SPS_HashTags: string;
    UserProfile_GUID: string;
    SPS_HireDate: string;
    WebSite: string;
    SPS_Interests: string;
    WorkEmail: string;
    SPS_JobTitle: string;
    WorkPhone: string;
    SPS_LastColleagueAdded: string;
    NexusTagsCorporate: string;
    NexusTagsPersonal: string;
}
export declare class UserProfileProperties implements IUserProfileProperties {
    AboutMe: string;
    SPS_LastKeywordAdded: string;
    AccountName: string;
    SPS_Locale: string;
    ADGuid: string;
    SPS_Location: string;
    Assistant: string;
    SPS_MasterAccountName: string;
    CellPhone: string;
    SPS_MemberOf: string;
    Department: string;
    SPS_MUILanguages: string;
    EduExternalSyncState: string;
    SPS_MySiteUpgrade: string;
    EduOAuthTokenProviders: string;
    SPS_O15FirstRunExperience: string;
    EduPersonalSiteState: string;
    SPS_ObjectExists: string;
    EduUserRole: string;
    SPS_OWAUrl: string;
    Fax: string;
    SPS_PastProjects: string;
    FirstName: string;
    SPS_Peers: string;
    HomePhone: string;
    SPS_PersonalSiteCapabilities: string;
    LastName: string;
    SPS_PersonalSiteInstantiationState: string;
    Manager: string;
    SPS_PhoneticDisplayName: string;
    Office: string;
    SPS_PhoneticFirstName: string;
    PersonalSpace: string;
    SPS_PhoneticLastName: string;
    PictureURL: string;
    SPS_PrivacyActivity: string;
    PreferredName: string;
    SPS_PrivacyPeople: string;
    PublicSiteRedirect: string;
    SPS_ProxyAddresses: string;
    QuickLinks: string;
    SPS_RegionalSettings_FollowWeb: string;
    SID: string;
    SPS_RegionalSettings_Initialized: string;
    SISUserId: string;
    SPS_ResourceAccountName: string;
    SPS_AdjustHijriDays: string;
    SPS_ResourceSID: string;
    SPS_AltCalendarType: string;
    SPS_Responsibility: string;
    SPS_Birthday: string;
    SPS_SavedAccountName: string;
    SPS_CalendarType: string;
    SPS_SavedSID: string;
    SPS_ClaimID: string;
    SPS_School: string;
    SPS_ClaimProviderID: string;
    SPS_ShowWeeks: string;
    SPS_ClaimProviderType: string;
    SPS_SipAddress: string;
    SPS_ContentLanguages: string;
    SPS_Skills: string;
    SPS_DataSource: string;
    SPS_SourceObjectDN: string;
    SPS_Department: string;
    SPS_StatusNotes: string;
    SPS_DisplayOrder: string;
    SPS_Time24: string;
    SPS_DistinguishedName: string;
    SPS_TimeZone: string;
    SPS_DontSuggestList: string;
    SPS_UserPrincipalName: string;
    SPS_Dotted_line: string;
    SPS_WorkDayEndHour: string;
    SPS_EmailOptin: string;
    SPS_WorkDayStartHour: string;
    SPS_FeedIdentifier: string;
    SPS_WorkDays: string;
    SPS_FirstDayOfWeek: string;
    Title: string;
    SPS_FirstWeekOfYear: string;
    UserName: string;
    SPS_HashTags: string;
    UserProfile_GUID: string;
    SPS_HireDate: string;
    WebSite: string;
    SPS_Interests: string;
    WorkEmail: string;
    SPS_JobTitle: string;
    WorkPhone: string;
    SPS_LastColleagueAdded: string;
    NexusTagsCorporate: string;
    NexusTagsPersonal: string;
    constructor();
}
