import * as React from 'react';
import { ISPPeoplePickerPropsModernPage, ISPPeoplePickerStateModernPage } from '.';
/**
 * Picker component
 */
export declare class SPPeoplePickerModernPage extends React.Component<ISPPeoplePickerPropsModernPage, ISPPeoplePickerStateModernPage> {
    /**
     * Constructor
     * @param props ISPPeoplePickerProps
     */
    constructor(props: any);
    /**
     * Init the component
     */
    componentDidMount(): void;
    /**
     * Modify element when props chenges
     * @param nextProps next props
     */
    componentWillReceiveProps(nextProps: ISPPeoplePickerPropsModernPage): void;
    /**
     * Parse to model a model by default
     * @param people array with people
     */
    private ParseModelUser;
    /**
     * Filter elements by text
     * @param filterText
     */
    private _onFilterChanged;
    /**
     * Filter elements by text
     * @param filterText
     */
    private GetResultsAsPromise;
    /**
     * Change values in component and send new values to parent
     * @param currentPersonas
     */
    private _onStateChange;
    /**
     * Render component
     */
    render(): JSX.Element;
}
