import { Metadata, IMetadata } from "./Metadata";
import { IUserProfileProperties } from "./UserProfileProperties";
export interface IPersonProperties extends IMetadata {
    AccountName: string;
    DirectReports: string[];
    DisplayName: string;
    Email: string;
    ExtendedManagers: string[];
    ExtendedReports: string[];
    IsFollowed: boolean;
    LatestPost: string;
    Peers: string[];
    PersonalUrl: string;
    PictureUrl: string;
    Title: string;
    UserProfileProperties: IUserProfileProperties;
}
export declare class PersonProperties extends Metadata implements IPersonProperties {
    AccountName: string;
    DirectReports: string[];
    DisplayName: string;
    Email: string;
    ExtendedManagers: string[];
    ExtendedReports: string[];
    IsFollowed: boolean;
    LatestPost: string;
    Peers: string[];
    PersonalUrl: string;
    PictureUrl: string;
    Title: string;
    UserProfileProperties: IUserProfileProperties;
    constructor();
}
