import { ListItem, IListItem } from "./ListItem";
import { CollectionInt32 } from "./CollectionInt32";
import { IRelatedItem } from "./RelatedItem";
import { UserInfoItem } from "./UserInfoItem";
export interface ITasksListItem extends IListItem {
    PredecessorsId: CollectionInt32;
    Predecessors: Array<ITasksListItem>;
    Priority: string;
    Status: string;
    PercentComplete: number;
    AssignedToId: CollectionInt32;
    AssignedTo: Array<UserInfoItem>;
    Body: string;
    StartDate: Date;
    DueDate: Date;
    Checkmark: string;
    RelatedItems: Array<IRelatedItem>;
    PreviouslyAssignedToStringId: string;
}
export declare class TasksListItem extends ListItem implements ITasksListItem {
    PredecessorsId: CollectionInt32;
    Predecessors: Array<ITasksListItem>;
    Priority: string;
    Status: string;
    PercentComplete: number;
    AssignedToId: CollectionInt32;
    AssignedTo: Array<UserInfoItem>;
    Body: string;
    StartDate: Date;
    DueDate: Date;
    Checkmark: string;
    RelatedItems: Array<IRelatedItem>;
    PreviouslyAssignedToStringId: string;
    constructor();
}
